write_zsreg
Prev | Chapter 10. Internal Functions | Next

## Name

write_zsreg — Write to a Z8530 channel register

## Synopsis

`void write_zsreg (` | struct z8530_channel * | c,
| u8 | reg,
| u8 | val`)`;

## Arguments

`c`

  The Z8530 channel

`reg`

  Register number

`val`

  Value to write

## Description

Write a value to an indexed register. The caller must hold the lock to honour the irritating delay rules. We know about register 0 being fast to access.

Assumes c->lock is held.

Prev | Up | Next
read_zsdata | Home | write_zsctrl